/* eslint-disable */
/** kelq
 * 4/29/2020, 3:51:53 PM
 * doc comment for the file goes here
 */

/** 操作日志 */
import React, { ReactNode, ReactEventHandler, Component } from 'react';
import { Badge } from 'antd';
import TableView from '../../../common/TableView';
import SearchFormView from '../../../common/SearchFormView';
import './index.scss';
import moment from 'moment';

import './index.scss';

export default class OperLog extends Component {
  constructor(props) {
    super(props);
    this.config = {
    };
    this.state = {
      formData: {
        __key: Date.now(),
        page: 1,
        size: 10,
        keyWord: ''
      },
    };
  }

  componentDidMount() { }

  setFormData = data => {
    console.log('form', data);
    this.setState({
      formData: data,
    });
  }

  renderColumns = () => {
    return [
      { title: '序号', dataIndex: 'index' },
      { title: '操作者', dataIndex: 'userName' },
      { title: '操作模块', dataIndex: 'moduleName' },
      { title: '操作功能', dataIndex: 'functionName' },
      { title: '操作描述', dataIndex: 'operDesc' },
      {
        title: '操作日期', dataIndex: 'createTime', render: (cur, item) => {
          return cur ? moment(cur).format("YYYY-MM-DD HH:mm") : ""
        }
      },
      { title: 'IP地址', dataIndex: 'operIp' },
      { title: '访问终端', dataIndex: 'operTerminal' },
      { title: '访问浏览器', dataIndex: 'operBrowser' },
      {
        title: '状态', dataIndex: 'operStatus', render: (cur, item) => {
          return this.operStatus(cur)
        }
      }
    ];
  }

  operStatus = (status) => {
    switch (status) {
      case '1':
        return <Badge count={'成功'} style={{ backgroundColor: '#52c41a' }}/>
      case '99':
        return <Badge count={'失败'} />
    }
  }

  render() {
    const { formData } = this.state;

    let tableParams = {
      url: `api/log/queryLog`,
      formData,
      key: formData.__key,
      columns: this.renderColumns(),
      extraFromData: {
        logType: '2',
      },
      setFormData: this.setFormData
    }
    return (
      <div className="oper-log-main">
        <SearchFormView
          formData={formData}
          setFormData={this.setFormData}
          data={[
            { type: 'input', name: '关键字', label: '关键字', key: 'keyWord' },
            {
              type: 'rangePicker',
              label: '浏览时间',
              name: JSON.stringify(['开始时间', '结束时间']),
              key: JSON.stringify(['startTime', 'endTime']),
              keylistName: 'rangeTimelist',
            },
          ]} />
        <TableView {...tableParams} />
      </div>
    )
  }
}

